---
title: "Romp (Discontinued)"
order: 4
---

:::(Error) (👻 Romp has been Discontinued)
While it was an interesting concept that solved some unique problems in a few niches, Romp didn't add enough value to keep it going as a project. We've kept docs and [Romp GitHub repository](https://github.com/inedo/romp) around for historical purposes.  
:::

<div style="opacity:0.75">

Romp lets development and operations teams work closely together by enabling developers to specify exactly what infrastructure configuration their application requires so that operations can easily inspect these packages and deploy them in a simple but controlled manner.

## What is Romp
### Create
Create packages that you can easily hand-off to developers, operations, or even customers that contain everything needed to provision and deploy your applications consistently, across all environments.

### Verify
Inspect packages to see who created them and why, as well as what application code they contain, and precisely how the environment will be configured and deployed. This allows developers to specify exactly what their application requires, and operations to review packages prior to installation.

### Install
Install offline with the [Romp CLI](/docs/executionengine/romp-overview/romp-cli-reference/romp-command-line-command-overview){target="_blank"}, or use [BuildMaster](https://inedo.com/buildmaster) to orchestrate deployments across any number of servers and environments. Whichever way you deploy, the same configuration and deployment code is used, including prompts for required input like variables and credentials.

### Repair
Repair package installations after inadvertent configuration changes to restore the developers’ original intent, or easily uninstall packages to remove all traces of application code and environment configuration. This enables even faster and simpler iterations than rebuilding entire servers or containers.

### Discover
Discover which packages have been installed on a machine with the Romp CLI, [UPack](/docs/proget/upack/upack-overview){target="_blank"}, or [Otter](https://inedo.com/otter) to see where the package came from, which tool installed it, and which user triggered the deployment. Romp packages also have a built-in audit history that lets you track changes or repackaging back to the source.

### Track
Track everything that changed on a server, from any romp package at any time, using the detailed execution logs that are retained for all package installs, repairs, or uninstalls.


## Getting Started

Romp is primarily a command-line tool that lets you [create](/docs/executionengine/romp-overview/romp-cli-reference/romp-command-line-command-overview/romp-command-line-command-overview-creating-publishing#pack) and [install](/docs/executionengine/romp-overview/romp-cli-reference/romp-command-line-command-overview/romp-command-line-command-overview-installation#install) packages. It’s really easy to get started:

1.  [Download the Romp Installer](https://inedo.com/romp/download)
2.  Follow the [Creating and Publishing an IIS Website](/docs/executionengine/romp-overview/romp-using-creating-publishing) tutorial

## Romp and the Inedo Execution Engine

Romp uses the [Inedo Execution Engine](/docs/executionengine/otterscript/overview), which was created exclusively for infrastructure automation and orchestration. The Inedo Execution Engine lets you uses a combination of OtterScript, PowerShell, Text Templating, Operations, and Functions to accomplish virtually any kind of deployment or infrastructure configuration.

The easiest way to learn OtterScript is with the Visual Plan Editor. This drop-and-drop editor allows you to switch back-and-forth between visual and text modes to get a feel for the syntax and structure of the language pretty quickly.

You can install BuildMaster, Hedgehog, or Otter and then use them to help you construct these plans.

## Romp and ProGet

Romp packages are extensions of [universal packages](/docs/proget/upack/upack-universal-packages/upack-universal-packages-manifest), which means you can host your packages in a [ProGet Universal Feed](/docs/proget/feeds/feed-overview) and use any of the [UPack](https://inedo.com/upack) tools or libraries to interact with them.

Romp uses a [package source](/docs/executionengine/romp-overview/romp-cli-reference/romp-command-line-command-overview/romp-command-line-command-overview-package-sources) to securely store a connection to a universal feed. You can also use the `--source argument` to specify a feed url (see [common configuration](/docs/executionengine/romp-overview/romp-cli-reference/romp-command-line-common-configuration)).
    
    </div>